@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

:root {
	--kochi-footer-button-background-color: #fff;
	--kochi-footer-button-title-color: #000;
	--kochi-footer-button-title-hover-color: #004ea2;
}

[data-theme='blue-theme'] {
	--kochi-footer-button-background-color: #e1efff;
	--kochi-footer-button-title-color: #004ea2;
	--kochi-footer-button-title-hover-color: #004ea2;
}

[data-theme='black-theme'] {
	--kochi-footer-button-background-color: #f8f8f8;
	--kochi-footer-button-title-color: #004ea2;
	--kochi-footer-button-title-hover-color: #004ea2;
}

.c-breadcrumb {
	max-width: 1008px;
}

.l-common-contents .post-content {
	max-width: 1008px;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item::before {
	content: '';
	display: block;
	height: 1px;
	background-color: var(--element-separator-border-color);
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > p {
	font-weight: 700;
	font-size: var(--font-size-p-pc);
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list {
	padding-block: 0;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 4px;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list > li {
	padding-block: 0;
	padding-inline-start: 0;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list > li::before {
	display: none;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list > li > a {
	padding: 12px;
	border-radius: 4px;
	display: block;
	line-height: 1.5714285714;
	color: var(--kochi-footer-button-title-color);
	background-color: var(--kochi-footer-button-background-color);
	font-size: var(--font-size-small);
	text-decoration: none;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list > li > a:hover,
.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list > li > a:active,
.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list > li > a:focus-visible {
	color: var(--kochi-footer-button-title-hover-color);
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-taxonomy-list.is-type-category > li > a {
	font-weight: 700;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts {
	padding-block: 0;
	display: grid;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li {
	padding-block: 0;
	padding-inline-start: 0;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li::before {
	display: none;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a {
	padding: 16px;
	display: grid;
	align-items: center;
	color: var(--kochi-footer-button-title-color);
	background-color: var(--kochi-footer-button-background-color);
	font-size: var(--font-size-small);
	text-decoration: none;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a::after {
	content: '';
	width: 18px;
	height: 18px;
	background-color: #004ea2;
	-webkit-mask-image: url(../images/icon/arrow-right.svg);
	mask-image: url(../images/icon/arrow-right.svg);
	-webkit-mask-size: 18px 18px;
	mask-size: 18px 18px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a .kochi-footer-button-title {
	font-weight: 700;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a .kochi-footer-button-date {
	font-feature-settings: 'pwid' on;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:hover .kochi-footer-button-title,
.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:active .kochi-footer-button-title,
.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:focus-visible .kochi-footer-button-title {
	color: var(--kochi-footer-button-title-hover-color);
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons {
	padding-block: 0;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li {
	padding-block: 0;
	padding-inline-start: 0;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li::before {
	display: none;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li > a {
	border-radius: 100%;
	display: block;
	width: 80px;
	height: 80px;
	overflow: hidden;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li > a::before {
	content: '';
	display: block;
	width: 100%;
	height: 100%;
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li > a:hover,
.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li > a:active,
.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li > a:focus-visible {
	opacity: 0.8;
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li > a.kochi-single-social-button-facebook::before {
	background-image: url(../images/sns/facebook.png);
}

.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons > li > a.kochi-single-social-button-x::before {
	background-image: url(../images/sns/x.png);
}

@media screen and (max-width: 1024px) {

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item {
		padding-block-end: 12px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item::before {
		margin-block: 16px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > p {
		padding-block: 12px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts {
		row-gap: 4px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a {
		padding-inline-end: 50px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a::after {
		position: absolute;
		top: 50%;
		right: 16px;
		transform: translateY(-50%);
		transition: right 300ms ease;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:hover::after,
	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:active::after,
	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:focus-visible::after {
		right: 8px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons {
		gap: 16px;
	}
}

@media screen and (min-width: 1025px) {

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item {
		padding-block-end: 16px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item::before {
		margin-block: 32px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > p {
		padding-block: 16px 24px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts {
		row-gap: 8px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a {
		grid-template-columns: 1fr auto 18px;
		-moz-column-gap: 16px;
		column-gap: 16px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a::after {
		position: relative;
		left: 0;
		transition: left 300ms ease;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:hover::after,
	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:active::after,
	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-related-posts > li > a:focus-visible::after {
		left: 8px;
	}

	.l-common-contents .post-content .kochi-post-footer .kochi-post-footer-item > .kochi-single-social-buttons {
		gap: 24px;
	}

	.l-common-contents .post-content .kochi-post-footer > .wp-block-buttons {
		margin-block-start: 24px;
	}
}
